gethostbyaddr
gethostbynamel
Network Functions
PHP Manual

# gethostbyname

(PHP 4, PHP 5)

gethostbyname — Get the IPv4 address corresponding to a given Internet host name

### Description

string gethostbyname ( string `$hostname` )

Returns the IPv4 address of the Internet host specified by `hostname`.

### Parameters

`hostname`

  The host name.

### Return Values

Returns the IPv4 address or a string containing the unmodified `hostname` on failure.

### Examples

Example #1 A simple gethostbyname() example

`<?php
$ip = gethostbyname('www.example.com');
echo $ip;
?>`

### See Also

- gethostbyaddr() - Get the Internet host name corresponding to a given IP address
- gethostbynamel() - Get a list of IPv4 addresses corresponding to a given Internet host name
- inet_pton() - Converts a human readable IP address to its packed in_addr representation
- inet_ntop() - Converts a packed internet address to a human readable representation

gethostbyaddr
gethostbynamel
Network Functions
PHP Manual